TIME_FIELDS_FROM_FILETIME(3)

NAME
time_fields_from_filetime - convert between FILETIME and TIME_FIELDS

SYNOPSIS
#include <synce.h>

void time_fields_from_filetime(const FILETIME *filetime, TIME_FIELDS *timeFields);

bool time_fields_to_filetime(const TIME_FIELDS *timeFields, const FILETIME *filetime);

DESCRIPTION
The time_fields_from_filetime() function converts a FILETIME value into the existing broken down TIME_FIELDS struct pointed to by timeFields. time_fields_to_filetime() does the reverse.

    typedef struct _TIME_FIELDS {
        CSHORT Year;          /* Specifies a value from 1601 on. */
        CSHORT Month;         /* Specifies a value from 1 to 12. */
        CSHORT Day;           /* Specifies a value from 1 to 31. */
        CSHORT Hour;          /* Specifies a value from 0 to 23. */
        CSHORT Minute;        /* Specifies a value from 0 to 59. */
        CSHORT Second;        /* Specifies a value from 0 to 59. */
        CSHORT Milliseconds;  /* Specifies a value from 0 to 999. */
        CSHORT Weekday;       /* Specifies a value from 0 to 6 (Sunday to Saturday). */
    } TIME_FIELDS;

RETURN VALUE
The time_fields_to_filetime() function returns FALSE on encountering an invalid value, or TRUE if successful.

SEE ALSO
synce(7)